Package wx :: Module xrc :: Class XmlNode

[frames | no frames]

## Type XmlNode

    object --+
             |
            XmlNode

Proxy of C++ XmlNode class

Method Summary
XmlNode | `__init__(self, parent, type, name, content, props, next)`
| `__del__(self)`
| `AddChild(self, child)`
| `AddProperty(self, prop)`
| `AddPropertyName(self, name, value)`
bool | `DeleteProperty(self, name)`
XmlNode | `GetChildren(self)`
String | `GetContent(self)`
int | `GetDepth(self, grandparent)`
String | `GetName(self)`
XmlNode | `GetNext(self)`
String | `GetNodeContent(self)`
XmlNode | `GetParent(self)`
XmlProperty | `GetProperties(self)`
String | `GetPropVal(self, propName, defaultVal)`
int | `GetType(self)`
bool | `HasProp(self, propName)`
bool | `InsertChild(self, child, before_node)`
bool | `IsWhitespaceOnly(self)`
bool | `RemoveChild(self, child)`
| `SetChildren(self, child)`
| `SetContent(self, con)`
| `SetName(self, name)`
| `SetNext(self, next)`
| `SetParent(self, parent)`
| `SetProperties(self, prop)`
| `SetType(self, type)`

Property Summary
| `Children`: See `GetChildren` and `SetChildren`
| `Content`: See `GetContent` and `SetContent`
| `Name`: See `GetName` and `SetName`
| `Next`: See `GetNext` and `SetNext`
| `Parent`: See `GetParent` and `SetParent`
| `Properties`: See `GetProperties` and `SetProperties`
| `thisown`: The membership flag
| `Type`: See `GetType` and `SetType`

Property Details

### Children

See `GetChildren` and `SetChildren`

  Get Method:
    `GetChildren`(self)
  Set Method:
    `SetChildren`(self, child)

### Content

See `GetContent` and `SetContent`

  Get Method:
    `GetContent`(self)
  Set Method:
    `SetContent`(self, con)

### Name

See `GetName` and `SetName`

  Get Method:
    `GetName`(self)
  Set Method:
    `SetName`(self, name)

### Next

See `GetNext` and `SetNext`

  Get Method:
    `GetNext`(self)
  Set Method:
    `SetNext`(self, next)

### Parent

See `GetParent` and `SetParent`

  Get Method:
    `GetParent`(self)
  Set Method:
    `SetParent`(self, parent)

### Properties

See `GetProperties` and `SetProperties`

  Get Method:
    `GetProperties`(self)
  Set Method:
    `SetProperties`(self, prop)

### thisown

The membership flag

  Get Method:
    unknown--1270506948(...)
  Set Method:
    unknown--1270506892(...)

### Type

See `GetType` and `SetType`

  Get Method:
    `GetType`(self)
  Set Method:
    `SetType`(self, type)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net